# FoundationClasses
TKernel
TColStd

# TColStd_QueueNodeOfQueueOfInteger Class Reference

`#include <TColStd_QueueNodeOfQueueOfInteger.hxx>`

Inheritance diagram for TColStd_QueueNodeOfQueueOfInteger:

[legend]

## Public Member Functions

| TColStd_QueueNodeOfQueueOfInteger (const Standard_Integer &I, const TCollection_MapNodePtr &n)
Standard_Integer & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myValue

## Constructor & Destructor Documentation

TColStd_QueueNodeOfQueueOfInteger::TColStd_QueueNodeOfQueueOfInteger | ( | const Standard_Integer & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const TColStd_QueueNodeOfQueueOfInteger::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_MapNode.

Standard_Integer& TColStd_QueueNodeOfQueueOfInteger::Value | ( |  | ) | const

## Field Documentation

Standard_Integer TColStd_QueueNodeOfQueueOfInteger::myValue `[private]`

The documentation for this class was generated from the following file:

- TColStd_QueueNodeOfQueueOfInteger.hxx